<?php include("../../include/dbconnect.php"); ?>

<body background="i.jpg">

<center>
<h2><font face="Arial, Helvetica, sans-serif"><b>View Account Groups</font></h2>
<font face="Arial, Helvetica, sans-serif"></b> 
<?php

$query = "select distinct acctgroup.record,acctcode,acctgroup.groupname,appearin.description,accttype.description,acctgroup.sequence  from  acctgroup,appearin,accttype where acctgroup.appear_in = appearin.code and acctgroup.type = accttype.code order by acctgroup.groupname";
$result = mysqli_query($conn, $query);

if (!$result) {
    die("Query failed: " . mysqli_error($conn));
}

$number_cols = mysqli_num_fields($result);

echo '<table border="1" class="table table-striped">';
echo '<tr align="center">';

for ($i = 0; $i < $number_cols; $i++) {
    $fieldInfo = mysqli_fetch_field_direct($result, $i);
    echo '<th>' . $fieldInfo->name . '</th>';
}

echo '</tr>';

while ($row = mysqli_fetch_assoc($result)) {
    echo '<tr align="left">';
    echo '<td>';
    
    if (!isset($row['record'])) {
        echo 'NULL';
    } else {
        echo '<a href="editview.php?record=' . $row['record'] . '"><img src="../../images/b_edit.png"></a>';
    }

    foreach ($row as $key => $value) 
    {
       if ($key != 'record') {
        echo '<td>';
        echo $value;
       }
    }
    
    echo '</tr>';
}

echo '</table>';

echo '<br><br><font size="1"><center><a href="index.html">Return to index page</a></center></font>';
?>
</div>

</body>
</html>
